
Redmine - Feature #3453

Issue creation via email by anonymous

2009-06-05 21:26 - Stephane Malinet

Status: Closed Start date: 2009-06-05

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

I try to authorize the anonymous user to create issues but it doesn't work via email.

A good feature will be, for exemple:

rake redmine:email:receive_imap RAILS_ENV="production" \\

    host=imap.foo.bar username=redmine@somenet.foo password=xxx ssl=1 \\

    project=foo \\

    tracker=bug \\

    allow_anonymous=1 \\ (false by default)

    allow_override=tracker,priority

History

#1 - 2009-06-07 05:51 - Marcel Evenson

Stephane Malinet wrote:

I try to authorize the anonymous user to create issues but it doesn't work via email.

[...]

 We are also looking for this functionality. It would be neat if when an issue is created from a non-member that it could be mapped to an anonymous

user using the emails "from" as their name and their email address as their email. That way redmine could could function as a full ticket system.

#2 - 2009-06-16 10:51 - Stephane Malinet

- Status changed from New to Resolved

r2789 make it.

Thanks for the job!

#3 - 2009-06-16 22:16 - Marcel Evenson

I checked out the trunk and still can't get this to work:

rake redmine:email:receive_imap RAILS_ENV="production" unknown_user=accept host=my.mailserver.com username=support@mydomain.com

password=XXX project=support allow_override=tracker,priority

The anon user has permission to create an issue .. and when I submit an email to support I can see the email in there and after the rake command is

run the email status is marked to "seen" but no issue is created. After looking at the patches it looks like the unknown_user logic was added to

rdm-mailhandler.rb and email.rake but it looks like the actual logic was added to rdm-mailhandler.rb but was forgot out of the

Redmine::IMAP.check(imap_options, options) method ??

#4 - 2009-07-05 16:50 - Stanislav German-Evtushenko

Is there redmine 0.8 stable patch for this issue?

#5 - 2009-07-13 16:01 - Stanislav German-Evtushenko

- File redmine-0.8-stable-r2815-accept_incoming_emails_from_unknown_users.patch added

Hello,

I did some little changes for ability to apply this patch for redmine-0.8-stable-r2815 (0.8.4). Here it is.

Have a nice day!
Stas

#6 - 2009-10-14 00:49 - Alexander Pánek

- File redmine-allow-anonymous-user-create-issues-in-private-project.diff added

Attached is a patch that allows anonymous users to create issues in a private project. Comes in quite handy if your support project is supposed to be

kept private.. ;)

#7 - 2009-11-28 13:18 - Jean-Philippe Lang

- Category changed from Email notifications to Email receiving

#8 - 2010-01-18 09:30 - Christiaan Kras

Has the patch provided by Alexander Pánek been applied to the trunk? Would be most useful. In addition, I'd like it if the URL to Redmine would be

removed from the e-mails the reporter in case of a private project. That way you can use a private project for support as well.

#9 - 2010-01-18 11:49 - Felix Schäfer

- Status changed from Resolved to Closed

Ticket creation from an unknown mail address has been added in r2789 and will be part of the upcoming 0.9.0 release. I'll close this issue as the OP's

request seems to be addressed in said revision.

Regarding the content of the emails, as the scope of redmine is a ticketing system, not a "transparent support" ticketing system, I'm not sure if this will

be configurable in the foreseeable future. You could try to write a plugin to include your own mail views with some logic to show or not show certain

parts of the mail depending on the recipient, iirc plugin views take precedence over the core views. If you really think this should be included in core,

please open a new ticket.

Files

redmine-0.8-stable-r2815-accept_incoming_emails_from_unknown_users.patch9.28 KB 2009-07-13 Stanislav German-Evtushenko

redmine-allow-anonymous-user-create-issues-in-private-project.diff 502 Bytes 2009-10-13 Alexander Pánek

Powered by TCPDF (www.tcpdf.org)

2025-05-01 2/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/2789
https://www.redmine.org/versions/6
http://www.tcpdf.org

